version: '3.9'

services:
  webapp:
    build:
      context: ./php_app
      dockerfile: Dockerfile
    restart: always
    ports:
      - "80:80"
    depends_on:
      - database

  database:
    image: mysql:8.0
    restart: always
    command: --default-authentication-plugin=caching_sha2_password
    environment:
      MYSQL_DATABASE: mainDB
      MYSQL_ROOT_PASSWORD: ##########
      MYSQL_USER: user0
      MYSQL_PASSWORD: ##########
    volumes:
      - ./data_folder:/docker-entrypoint-initdb.d
      - ./my-custom.cnf:/etc/mysql/conf.d/my-custom.cnf
      - db_data:/var/lib/mysql

volumes:
  db_data:
